Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2093340 (CVE-2022-30788) - CVE-2022-30788 ntfs-3g: crafted NTFS image can cause a heap-based buffer overflow in ntfs_mft_rec_alloc
Summary: CVE-2022-30788 ntfs-3g: crafted NTFS image can cause a heap-based buffer over...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-30788
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2093343 2093341 2093342 2093344 2093345 2127248 2127249 2127250 2127251 2127252 2127253 2127254
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-03 14:04 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-05-17 01:13 UTC (History)
8 users (show)

Fixed In Version: ntfs-3g 2022.5.17
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in NTFS-3G. Incorrect validation of NTFS metadata can result in a heap-based buffer overflow when processing a crafted NTFS image file or partition.
Clone Of:
Environment:
Last Closed: 2023-05-17 01:13:21 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:2179 0 None None None 2023-05-09 07:15:46 UTC
Red Hat Product Errata RHSA-2023:2757 0 None None None 2023-05-16 08:08:12 UTC

Description Guilherme de Almeida Suckevicz 2022-06-03 14:04:17 UTC
A crafted NTFS image can cause a heap-based buffer overflow in ntfs_mft_rec_alloc in NTFS-3G through 2021.8.22.

References:
https://github.com/tuxera/ntfs-3g/security/advisories/GHSA-xchm-ph5h-hw4x
https://github.com/tuxera/ntfs-3g/releases

Comment 1 Guilherme de Almeida Suckevicz 2022-06-03 14:04:41 UTC
Created ntfs-3g tracking bugs for this issue:

Affects: epel-all [bug 2093342]
Affects: fedora-all [bug 2093341]


Created ntfs-3g-system-compression tracking bugs for this issue:

Affects: epel-all [bug 2093343]
Affects: fedora-all [bug 2093345]


Created ntfs2btrfs tracking bugs for this issue:

Affects: fedora-all [bug 2093344]

Comment 3 errata-xmlrpc 2023-05-09 07:15:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:2179 https://access.redhat.com/errata/RHSA-2023:2179

Comment 4 errata-xmlrpc 2023-05-16 08:08:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:2757 https://access.redhat.com/errata/RHSA-2023:2757

Comment 5 Product Security DevOps Team 2023-05-17 01:13:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-30788


Note You need to log in before you can comment on or make changes to this bug.